> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trackpilots.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Stealth Monitoring Settings



## OpenAPI

````yaml /openapi.yaml get /v1/settings/stealth-monitoring
openapi: 3.1.0
info:
  title: Trackpilots API & Webhooks
  version: 1.1.0
  description: >
    Trackpilots REST APIs and Webhook events.

    Webhooks are sent by the Trackpilots desktop agent to customer-configured
    endpoints.

    Clients only send `secret_key`. All other fields are generated by the
    server.
servers:
  - url: https://api.trackpilots.com
    description: Production server
security: []
tags:
  - name: Teams
    description: Team management APIs
  - name: Desktop Events
    description: Desktop agent webhook events
paths:
  /v1/settings/stealth-monitoring:
    get:
      tags:
        - Settings
      summary: Fetch Stealth Monitoring Settings
      responses:
        '200':
          description: Fetched stealth monitoring settings successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/200FetchStealthMonitoringSettingsSuccessResponse
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - BearerAuth: []
components:
  schemas:
    200FetchStealthMonitoringSettingsSuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        statusCode:
          type: integer
          example: 200
        statusMessage:
          type: string
          example: Fetched stealth monitoring settings successfully
        error:
          type: object
          nullable: true
          example: null
        data:
          type: array
          items:
            type: object
            properties:
              userId:
                type: string
                format: uuid
                example: f0ad9ad9-d421-48dc-868d-9760e33e5089
              userName:
                type: string
                example: Abirami Kannan
              emailId:
                type: string
                format: email
                example: abiramikannan2006@gmail.com
              profilePicUrl:
                type: string
                nullable: true
                example: https://trackpilots.s3.amazonaws.com/profile-pic/sample.png
              stealthMonitoringSettings:
                type: object
                properties:
                  enableStealthMonitoring:
                    type: boolean
                    example: true
          example:
            - userId: f0ad9ad9-d421-48dc-868d-9760e33e5089
              userName: Abirami Kannan
              emailId: abiramikannan2006@gmail.com
              profilePicUrl: null
              stealthMonitoringSettings:
                enableStealthMonitoring: true
            - userId: b514fe51-df34-414e-8bec-9dcdd23cde23
              userName: Swetha Senthil
              emailId: senthilsundari2802@gmail.com
              profilePicUrl: >-
                https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.jpeg
              stealthMonitoringSettings:
                enableStealthMonitoring: false
            - userId: ab7c4f30-1024-471a-a767-739df0dc53fd
              userName: Sakthivel Govinthan
              emailId: sakthiveltechit@gmail.com
              profilePicUrl: >-
                https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png
              stealthMonitoringSettings:
                enableStealthMonitoring: true
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        statusCode:
          type: integer
          format: int32
          example: 401
        statusMessage:
          type: string
          example: Authentication failed
        data:
          nullable: true
          example: null
        error:
          type: object
          properties:
            message:
              type: string
              example: Authorization header is missing
            code:
              type: string
              enum:
                - AUTHORIZATION_HEADER_MISSING
                - INVALID_API_KEY_SCHEMA
                - API_KEY_MISSING
                - INVALID_API_KEY
                - PLAN_EXPIRED
              example: AUTHORIZATION_HEADER_MISSING
    InternalServerError:
      allOf:
        - $ref: '#/components/schemas/BaseError'
        - type: object
          properties:
            statusCode:
              example: 500
            statusMessage:
              example: Internal server error
            error:
              type: object
              properties:
                message:
                  example: Some technical error has occurred !!
                code:
                  example: UNKNOWN_SERVER_ERROR
    BaseError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        statusCode:
          type: integer
        statusMessage:
          type: string
        data:
          nullable: true
          example: null
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
  responses:
    UnauthorizedError:
      description: Authentication & Authorization errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            authorizationHeaderMissing:
              summary: Authorization header missing
              value:
                success: false
                statusCode: 401
                statusMessage: Authentication token header is missing
                data: null
                error:
                  message: Authorization header is missing
                  code: AUTHORIZATION_HEADER_MISSING
            invalidAuthorizationScheme:
              summary: Invalid authorization scheme
              value:
                success: false
                statusCode: 401
                statusMessage: Invalid authentication token schema
                data: null
                error:
                  message: Authorization header must start with 'Bearer'
                  code: INVALID_API_KEY_SCHEMA
            apiKeyMissing:
              summary: API key missing
              value:
                success: false
                statusCode: 401
                statusMessage: Authentication token is missing
                data: null
                error:
                  message: API key value is missing
                  code: API_KEY_MISSING
            invalidApiKey:
              summary: Invalid or inactive API key
              value:
                success: false
                statusCode: 401
                statusMessage: Authentication failed
                data: null
                error:
                  message: Provided API key is invalid or inactive
                  code: INVALID_API_KEY
            planExpired:
              summary: Upgrade required
              value:
                success: false
                statusCode: 401
                statusMessage: Upgrade required
                data: null
                error:
                  message: Upgrade required to use Trackpilots APIs
                  code: PLAN_EXPIRED
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````